バージョン選択

フォーラム

メニュー

オンライン状況

56 人のユーザが現在オンラインです。 (37 人のユーザが フォーラム を参照しています。)
登録ユーザ: 0
ゲスト: 56
もっと...

サイト内検索

質問 > その他 > bin/cosoleを実行すると「You need to add "symfony/framework-bundle" as a Composer dependency」エラーが出る

その他

新規スレッドを追加する

フラット表示 前のトピック | 次のトピック
投稿者 スレッド
denwa
投稿日時: 2019/7/4 18:37
対応状況: −−−
新米
登録日: 2019/6/13
居住地:
投稿: 4
bin/cosoleを実行すると「You need to add "symfony/framework-bundle" as a Composer dependency」エラーが出る
------------------------------------------------------------------------------------------
[EC-CUBE] v4.0.2
[レンタルサーバ] xserver
[OS] ubuntu
[PHP] v7.2.17
[データベース] MySQL 5.7.16
[WEBサーバ] Apache v2.4.6
[ブラウザ] --
[導入プラグインの有無] あり
[カスタマイズの有無] あり(独自プラグインで拡張/ vuejs利用)
------------------------------------------------------------------------------------------

お世話になります。
eccube4で運用しているecサイトのインストール時に発生した問題についてご相談させていただきます。

[環境]
ストアからインストールしたプラグインが複数あります。

[行なったこと]
- eccubeの再インストール
- 諸事情により以前動かしていたものを、一度削除して再インストールを行なっています。
- DBは以前使用していたものがそのまま残っています。
- ソースコードはgit管理しているため、サーバーにクローン
- composer installを実行
- bin/console eccube:composer:installを実行

[起きたこと]
- bin/console eccube:composer:install
を実行したところ
PHP Fatal error:  Uncaught RuntimeException: You need to add "symfony/framework-bundle" as a Composer dependency. in


こちらのエラーが `bin/console`の実行で表示されていることを確認しました。
以下はbin/console内の該当コードです。
if (!class_exists(Application::class)) {     throw new \RuntimeException('You need to add "symfony/framework-bundle" as a Composer dependency.'); }


use Symfony\Bundle\FrameworkBundle\Console\Application;
していますが、オートロードがうまくいっていないとおもいます。
composer installを実行してもvendor/autoload.phpは作成されません。

[質問]
①適切なautoloadファイルを生成するにはなにをする必要があるでしょうか
②また、インストール時に実行する、正しいコマンドや順番はございますか。

お力を貸していただけますと大変助かります。
よろしくお願いいたします。

また、なにか必要な情報があれば補足いたします。
フラット表示 前のトピック | 次のトピック


題名 投稿者 日時
 » bin/cosoleを実行すると「You need to add "symfony/framework-bundle" as a Composer dependency」エラーが出る denwa 2019/7/4 18:37
     Re: bin/cosoleを実行すると「You need to add "symfony/framework-bundle" as a Composer dependency」エラーが出る 3tiles 2019/7/4 22:42
     Re: bin/cosoleを実行すると「You need to add "symfony/framework-bundle" as a Composer dependency」エラーが出る denwa 2019/7/10 22:13

 



ログイン


EC-CUBEペイメント

ec-cube.co

統計情報

総メンバー数は49,560名です
総投稿数は93,191件です

投稿数ランキング

1
seasoft
7332
2
AMUAMU
2712
3
nanasess
1968
4
468
1818
5
yuh
1602
6
red
1343
7
umebius
1296
8
fukap
907
9
h_tanaka
907
10
tsuji
856
11
shutta
835
12 ramrun 789
13
tao_s
774
14 karin 656
15 sumida 641
16
homan
633
17 DELIGHT 571
18
patapata
502
19
flealog
483
20 tonton 436


ネットショップの壺

EC-CUBEインテグレートパートナー

Copyright© EC-CUBE CO.,LTD. All Rights Reserved.